diff --git a/doc/bash.ps b/doc/bash.ps
index 27ff5801..ae2f73b4 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -559,32 +563,32 @@ F(of the follo)2.5 E(wing:)-.25 E F1 5(|&;\(\)<>s)144 528 S 2.5
 2.5 E(en)-.1 E F0(that performs a control function.)2.5 E
 (It is one of the follo)5 E(wing symbols:)-.25 E F1 2.5
 (|| & && ; ;; \( \) | |&)144 564 R(<newline>)10 E F6(RESER)72 580.8 Q
-(VED W)-.602 E(ORDS)-.11 E F4 .307(Reserved wor)108 592.8 R(ds)-.37 E F0
-.307(are w)2.807 F .307(ords that ha)-.1 F .607 -.15(ve a s)-.2 H .306
-(pecial meaning to the shell.).15 F .306(The follo)5.306 F .306(wing w)
--.25 F .306(ords are recognized as)-.1 F(reserv)108 604.8 Q .227
+(VED W)-.602 E(ORDS)-.11 E F4 .306(Reserved wor)108 592.8 R(ds)-.37 E F0
+.306(are w)2.806 F .306(ords that ha)-.1 F .606 -.15(ve a s)-.2 H .306
+(pecial meaning to the shell.).15 F .307(The follo)5.307 F .307(wing w)
+-.25 F .307(ords are recognized as)-.1 F(reserv)108 604.8 Q .227
 (ed when unquoted and either the \214rst w)-.15 F .227
-(ord of a simple command \(see)-.1 F F3 .227(SHELL GRAMMAR)2.727 F F0
-(belo)2.477 E .227(w\) or)-.25 F(the third w)108 616.8 Q(ord of a)-.1 E
+(ord of a simple command \(see)-.1 F F3 .226(SHELL GRAMMAR)2.727 F F0
+(belo)2.476 E .226(w\) or)-.25 F(the third w)108 616.8 Q(ord of a)-.1 E
 F1(case)2.5 E F0(or)2.5 E F1 -.25(fo)2.5 G(r).25 E F0(command:)2.5 E F1
 11.295(!c)144 633.6 S 8.795(ase copr)-11.295 F 8.795
 (oc do done elif else esac \214 f)-.18 F 8.795
 (or function if in select then)-.25 F 7.5(until while { } time [[ ]])144
 645.6 R F6(SHELL GRAMMAR)72 662.4 Q F1(Simple Commands)87 674.4 Q F0(A)
-108 686.4 Q F4 .388(simple command)2.888 F F0 .388
-(is a sequence of optional v)2.888 F .389(ariable assignments follo)-.25
-F .389(wed by)-.25 F F1(blank)2.889 E F0 .389(-separated w)B .389
-(ords and)-.1 F .816(redirections, and terminated by a)108 698.4 R F4
-(contr)3.316 E .815(ol oper)-.45 F(ator)-.15 E F0 5.815(.T)C .815
-(he \214rst w)-5.815 F .815(ord speci\214es the command to be e)-.1 F
+108 686.4 Q F4 .389(simple command)2.889 F F0 .389
+(is a sequence of optional v)2.889 F .388(ariable assignments follo)-.25
+F .388(wed by)-.25 F F1(blank)2.888 E F0 .388(-separated w)B .388
+(ords and)-.1 F .815(redirections, and terminated by a)108 698.4 R F4
+(contr)3.315 E .815(ol oper)-.45 F(ator)-.15 E F0 5.815(.T)C .815
+(he \214rst w)-5.815 F .816(ord speci\214es the command to be e)-.1 F
 -.15(xe)-.15 G(cuted,).15 E(and is passed as ar)108 710.4 Q
 (gument zero.)-.18 E(The remaining w)5 E(ords are passed as ar)-.1 E
 (guments to the in)-.18 E -.2(vo)-.4 G -.1(ke).2 G 2.5(dc).1 G(ommand.)
--2.5 E .175(The return v)108 727.2 R .175(alue of a)-.25 F F4 .175
-(simple command)2.675 F F0 .175(is its e)2.675 F .175
-(xit status, or 128+)-.15 F F4(n)A F0 .176
-(if the command is terminated by signal)3.508 F F4(n)2.676 E F0(.).24 E
-(GNU Bash 4.3)72 768 Q(2014 February 2)141.79 E(3)195.95 E 0 Cg EP
+-2.5 E .176(The return v)108 727.2 R .176(alue of a)-.25 F F4 .176
+(simple command)2.676 F F0 .175(is its e)2.676 F .175
+(xit status, or 128+)-.15 F F4(n)A F0 .175
+(if the command is terminated by signal)3.508 F F4(n)2.675 E F0(.).24 E
+(GNU Bash 4.3)72 768 Q(2014 August 27)142.895 E(3)197.055 E 0 Cg EP
 %%Page: 4 4
 %%BeginPageSetup
 BP
@@ -596,17 +600,17 @@ e commands separated by one of the control operators)2.996 F F1(|)2.996
 E F0(or)2.996 E F1(|&)2.996 E F0 5.496(.T)C(he)-5.496 E
 (format for a pipeline is:)108 108 Q([)144 124.8 Q F1(time)A F0([)2.5 E
 F1<ad70>A F0(]] [ ! ])A F2(command)2.5 E F0 2.5([[)2.5 G F1(|)-2.5 E/F3
-10/Symbol SF<ef>A F1(|&)A F0(])A F2(command2)2.5 E F0(... ])2.5 E .243
-(The standard output of)108 141.6 R F2(command)2.943 E F0 .244
-(is connected via a pipe to the standard input of)3.513 F F2(command2)
-2.744 E F0 5.244(.T).02 G .244(his connec-)-5.244 F .643
-(tion is performed before an)108 153.6 R 3.143(yr)-.15 G .642
-(edirections speci\214ed by the command \(see)-3.143 F/F4 9/Times-Bold@0
-SF(REDIRECTION)3.142 E F0(belo)2.892 E 3.142(w\). If)-.25 F F1(|&)3.142
-E F0(is)3.142 E(used,)108 165.6 Q F2(command)3.647 E F0 2.247 -.55('s s)
+10/Symbol SF<ef>A F1(|&)A F0(])A F2(command2)2.5 E F0(... ])2.5 E .244
+(The standard output of)108 141.6 R F2(command)2.944 E F0 .243
+(is connected via a pipe to the standard input of)3.514 F F2(command2)
+2.743 E F0 5.243(.T).02 G .243(his connec-)-5.243 F .642
+(tion is performed before an)108 153.6 R 3.142(yr)-.15 G .642
+(edirections speci\214ed by the command \(see)-3.142 F/F4 9/Times-Bold@0
+SF(REDIRECTION)3.143 E F0(belo)2.893 E 3.143(w\). If)-.25 F F1(|&)3.143
+E F0(is)3.143 E(used,)108 165.6 Q F2(command)3.648 E F0 2.248 -.55('s s)
 D 1.147(tandard error).55 F 3.647(,i)-.4 G 3.647(na)-3.647 G 1.147
 (ddition to its standard output, is connected to)-3.647 F F2(command2)
-3.648 E F0 2.248 -.55('s s)D(tandard).55 E .028
+3.647 E F0 2.247 -.55('s s)D(tandard).55 E .028
 (input through the pipe; it is shorthand for)108 177.6 R F1 .028(2>&1 |)
 2.528 F F0 5.028(.T)C .028
 (his implicit redirection of the standard error to the stan-)-5.028 F
@@ -614,69 +618,68 @@ D 1.147(tandard error).55 F 3.647(,i)-.4 G 3.647(na)-3.647 G 1.147
 (edirections speci\214ed by the command.)-2.5 E .48
 (The return status of a pipeline is the e)108 206.4 R .48
 (xit status of the last command, unless the)-.15 F F1(pipefail)2.98 E F0
-.48(option is enabled.)2.98 F(If)108 218.4 Q F1(pipefail)2.687 E F0 .187
-(is enabled, the pipeline')2.687 F 2.687(sr)-.55 G .186
-(eturn status is the v)-2.687 F .186
-(alue of the last \(rightmost\) command to e)-.25 F .186(xit with a)-.15
-F .61(non-zero status, or zero if all commands e)108 230.4 R .611
-(xit successfully)-.15 F 5.611(.I)-.65 G 3.111(ft)-5.611 G .611
-(he reserv)-3.111 F .611(ed w)-.15 F(ord)-.1 E F1(!)3.111 E F0 .611
-(precedes a pipeline, the)5.611 F -.15(ex)108 242.4 S .55
+.48(option is enabled.)2.98 F(If)108 218.4 Q F1(pipefail)2.686 E F0 .186
+(is enabled, the pipeline')2.686 F 2.686(sr)-.55 G .186
+(eturn status is the v)-2.686 F .187
+(alue of the last \(rightmost\) command to e)-.25 F .187(xit with a)-.15
+F .611(non-zero status, or zero if all commands e)108 230.4 R .611
+(xit successfully)-.15 F 5.611(.I)-.65 G 3.111(ft)-5.611 G .61
+(he reserv)-3.111 F .61(ed w)-.15 F(ord)-.1 E F1(!)3.11 E F0 .61
+(precedes a pipeline, the)5.61 F -.15(ex)108 242.4 S .55
 (it status of that pipeline is the logical ne).15 F -.05(ga)-.15 G .55
 (tion of the e).05 F .55(xit status as described abo)-.15 F -.15(ve)-.15
 G 5.55(.T).15 G .55(he shell w)-5.55 F .55(aits for)-.1 F
 (all commands in the pipeline to terminate before returning a v)108
-254.4 Q(alue.)-.25 E .298(If the)108 271.2 R F1(time)2.799 E F0(reserv)
+254.4 Q(alue.)-.25 E .299(If the)108 271.2 R F1(time)2.799 E F0(reserv)
 2.799 E .299(ed w)-.15 F .299(ord precedes a pipeline, the elapsed as w\
 ell as user and system time consumed by its)-.1 F -.15(exe)108 283.2 S
-.14(cution are reported when the pipeline terminates.).15 F(The)5.139 E
-F1<ad70>2.639 E F0 .139(option changes the output format to that spec-)
-2.639 F .302(i\214ed by POSIX.)108 295.2 R .303(When the shell is in)
-5.302 F F2 .303(posix mode)2.803 F F0 2.803(,i)C 2.803(td)-2.803 G .303
+.139(cution are reported when the pipeline terminates.).15 F(The)5.139 E
+F1<ad70>2.639 E F0 .14(option changes the output format to that spec-)
+2.639 F .303(i\214ed by POSIX.)108 295.2 R .303(When the shell is in)
+5.303 F F2 .303(posix mode)2.803 F F0 2.803(,i)C 2.803(td)-2.803 G .303
 (oes not recognize)-2.803 F F1(time)2.803 E F0 .303(as a reserv)2.803 F
-.303(ed w)-.15 F .303(ord if the ne)-.1 F(xt)-.15 E(tok)108 307.2 Q .736
+.303(ed w)-.15 F .302(ord if the ne)-.1 F(xt)-.15 E(tok)108 307.2 Q .735
 (en be)-.1 F .736(gins with a `-'.)-.15 F(The)5.736 E F4(TIMEFORMA)3.236
 E(T)-.855 E F0 -.25(va)2.986 G .736
-(riable may be set to a format string that speci\214es ho).25 F 3.235
-(wt)-.25 G(he)-3.235 E 2.225
+(riable may be set to a format string that speci\214es ho).25 F 3.236
+(wt)-.25 G(he)-3.236 E 2.226
 (timing information should be displayed; see the description of)108
-319.2 R F4(TIMEFORMA)4.726 E(T)-.855 E F0(under)4.476 E F1 2.226
-(Shell V)4.726 F(ariables)-.92 E F0(belo)108 331.2 Q -.65(w.)-.25 G .85
+319.2 R F4(TIMEFORMA)4.725 E(T)-.855 E F0(under)4.475 E F1 2.225
+(Shell V)4.725 F(ariables)-.92 E F0(belo)108 331.2 Q -.65(w.)-.25 G .85
 (When the shell is in)108 348 R F2 .85(posix mode)3.35 F F0(,)A F1(time)
 3.35 E F0 .85(may be follo)3.35 F .85(wed by a ne)-.25 F 3.35(wline. In)
--.25 F .85(this case, the shell displays the)3.35 F 1.073
+-.25 F .85(this case, the shell displays the)3.35 F 1.074
 (total user and system time consumed by the shell and its children.)108
-360 R(The)6.074 E F4(TIMEFORMA)3.574 E(T)-.855 E F0 -.25(va)3.324 G
-1.074(riable may be).25 F
+360 R(The)6.073 E F4(TIMEFORMA)3.573 E(T)-.855 E F0 -.25(va)3.323 G
+1.073(riable may be).25 F
 (used to specify the format of the time information.)108 372 Q
 (Each command in a pipeline is e)108 388.8 Q -.15(xe)-.15 G
 (cuted as a separate process \(i.e., in a subshell\).).15 E F1(Lists)87
-405.6 Q F0(A)108 417.6 Q F2(list)2.85 E F0 .35(is a sequence of one or \
-more pipelines separated by one of the operators)2.85 F F1(;)2.849 E F0
-(,)A F1(&)2.849 E F0(,)A F1(&&)2.849 E F0 2.849(,o)C(r)-2.849 E F1(||)
-2.849 E F0 2.849(,a)C .349(nd option-)-2.849 F
-(ally terminated by one of)108 429.6 Q F1(;)2.5 E F0(,)A F1(&)2.5 E F0
-2.5(,o)C(r)-2.5 E F1(<newline>)2.5 E F0(.)A .96
-(Of these list operators,)108 446.4 R F1(&&)3.46 E F0(and)3.46 E F1(||)
-3.46 E F0(ha)3.46 E 1.26 -.15(ve e)-.2 H .961(qual precedence, follo).15
-F .961(wed by)-.25 F F1(;)3.461 E F0(and)3.461 E F1(&)3.461 E F0 3.461
-(,w)C .961(hich ha)-3.461 F 1.261 -.15(ve e)-.2 H .961(qual prece-).15 F
-(dence.)108 458.4 Q 2.5(As)108 475.2 S(equence of one or more ne)-2.5 E
-(wlines may appear in a)-.25 E F2(list)2.5 E F0
-(instead of a semicolon to delimit commands.)2.5 E .029
+405.6 Q F0(A)108 417.6 Q F2(list)2.849 E F0 .349(is a sequence of one o\
+r more pipelines separated by one of the operators)2.849 F F1(;)2.85 E
+F0(,)A F1(&)2.85 E F0(,)A F1(&&)2.85 E F0 2.85(,o)C(r)-2.85 E F1(||)2.85
+E F0 2.85(,a)C .35(nd option-)-2.85 F(ally terminated by one of)108
+429.6 Q F1(;)2.5 E F0(,)A F1(&)2.5 E F0 2.5(,o)C(r)-2.5 E F1(<newline>)
+2.5 E F0(.)A .961(Of these list operators,)108 446.4 R F1(&&)3.461 E F0
+(and)3.461 E F1(||)3.461 E F0(ha)3.461 E 1.261 -.15(ve e)-.2 H .961
+(qual precedence, follo).15 F .96(wed by)-.25 F F1(;)3.46 E F0(and)3.46
+E F1(&)3.46 E F0 3.46(,w)C .96(hich ha)-3.46 F 1.26 -.15(ve e)-.2 H .96
+(qual prece-).15 F(dence.)108 458.4 Q 2.5(As)108 475.2 S
+(equence of one or more ne)-2.5 E(wlines may appear in a)-.25 E F2(list)
+2.5 E F0(instead of a semicolon to delimit commands.)2.5 E .029
 (If a command is terminated by the control operator)108 492 R F1(&)2.529
 E F0 2.529(,t)C .029(he shell e)-2.529 F -.15(xe)-.15 G .029
-(cutes the command in the).15 F F2(bac)2.528 E(kgr)-.2 E(ound)-.45 E F0
-(in)2.528 E 2.875(as)108 504 S 2.875(ubshell. The)-2.875 F .375
-(shell does not w)2.875 F .375
-(ait for the command to \214nish, and the return status is 0.)-.1 F .376
-(Commands sepa-)5.376 F .849(rated by a)108 516 R F1(;)3.349 E F0 .849
-(are e)3.349 F -.15(xe)-.15 G .848(cuted sequentially; the shell w).15 F
-.848(aits for each command to terminate in turn.)-.1 F .848(The return)
-5.848 F(status is the e)108 528 Q(xit status of the last command e)-.15
+(cutes the command in the).15 F F2(bac)2.529 E(kgr)-.2 E(ound)-.45 E F0
+(in)2.529 E 2.876(as)108 504 S 2.876(ubshell. The)-2.876 F .376
+(shell does not w)2.876 F .375
+(ait for the command to \214nish, and the return status is 0.)-.1 F .375
+(Commands sepa-)5.375 F .848(rated by a)108 516 R F1(;)3.348 E F0 .848
+(are e)3.348 F -.15(xe)-.15 G .848(cuted sequentially; the shell w).15 F
+.849(aits for each command to terminate in turn.)-.1 F .849(The return)
+5.849 F(status is the e)108 528 Q(xit status of the last command e)-.15
 E -.15(xe)-.15 G(cuted.).15 E .937(AND and OR lists are sequences of on\
-e of more pipelines separated by the)108 544.8 R F1(&&)3.437 E F0(and)
-3.437 E F1(||)3.437 E F0 .937(control operators,)3.437 F(respecti)108
+e of more pipelines separated by the)108 544.8 R F1(&&)3.436 E F0(and)
+3.436 E F1(||)3.436 E F0 .936(control operators,)3.436 F(respecti)108
 556.8 Q -.15(ve)-.25 G(ly).15 E 5(.A)-.65 G(ND and OR lists are e)-5 E
 -.15(xe)-.15 G(cuted with left associati).15 E(vity)-.25 E 5(.A)-.65 G
 2.5(nA)-5 G(ND list has the form)-2.5 E F2(command1)144 573.6 Q F1(&&)
@@ -684,92 +687,92 @@ e of more pipelines separated by the)108 544.8 R F1(&&)3.437 E F0(and)
 -.15 G(cuted if, and only if,).15 E F2(command1)2.7 E F0(returns an e)
 2.5 E(xit status of zero.)-.15 E(An OR list has the form)108 607.2 Q F2
 (command1)144 624 Q F1(||)2.5 E F2(command2)2.5 E(command2)108.2 645.6 Q
-F0 .729(is e)3.249 F -.15(xe)-.15 G .729(cuted if and only if).15 F F2
+F0 .728(is e)3.248 F -.15(xe)-.15 G .729(cuted if and only if).15 F F2
 (command1)3.429 E F0 .729(returns a non-zero e)3.229 F .729(xit status.)
--.15 F .728(The return status of AND)5.729 F(and OR lists is the e)108
+-.15 F .729(The return status of AND)5.729 F(and OR lists is the e)108
 657.6 Q(xit status of the last command e)-.15 E -.15(xe)-.15 G
 (cuted in the list.).15 E F1(Compound Commands)87 674.4 Q F0(A)108 686.4
-Q F2 1.053(compound command)3.553 F F0 1.053(is one of the follo)3.553 F
+Q F2 1.054(compound command)3.554 F F0 1.054(is one of the follo)3.554 F
 3.553(wing. In)-.25 F 1.053(most cases a)3.553 F F2(list)3.553 E F0
-1.054(in a command')3.554 F 3.554(sd)-.55 G 1.054(escription may be)
--3.554 F 1.027(separated from the rest of the command by one or more ne)
-108 698.4 R 1.026(wlines, and may be follo)-.25 F 1.026(wed by a ne)-.25
-F 1.026(wline in)-.25 F(place of a semicolon.)108 710.4 Q(GNU Bash 4.3)
-72 768 Q(2014 February 2)141.79 E(4)195.95 E 0 Cg EP
+1.053(in a command')3.553 F 3.553(sd)-.55 G 1.053(escription may be)
+-3.553 F 1.026(separated from the rest of the command by one or more ne)
+108 698.4 R 1.026(wlines, and may be follo)-.25 F 1.027(wed by a ne)-.25
+F 1.027(wline in)-.25 F(place of a semicolon.)108 710.4 Q(GNU Bash 4.3)
+72 768 Q(2014 August 27)142.895 E(4)197.055 E 0 Cg EP
 %%Page: 5 5
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
 -.35 E(\()108 84 Q/F1 10/Times-Italic@0 SF(list)A F0(\))A F1(list)17.11
-E F0 .011(is e)2.511 F -.15(xe)-.15 G .011(cuted in a subshell en).15 F
+E F0 .011(is e)2.512 F -.15(xe)-.15 G .011(cuted in a subshell en).15 F
 .011(vironment \(see)-.4 F/F2 9/Times-Bold@0 SF .011
-(COMMAND EXECUTION ENVIR)2.511 F(ONMENT)-.27 E F0(belo)2.262 E(w\).)-.25
-E -1.11(Va)144 96 S 1.064(riable assignments and b)1.11 F 1.064
+(COMMAND EXECUTION ENVIR)2.511 F(ONMENT)-.27 E F0(belo)2.261 E(w\).)-.25
+E -1.11(Va)144 96 S 1.063(riable assignments and b)1.11 F 1.064
 (uiltin commands that af)-.2 F 1.064(fect the shell')-.25 F 3.564(se)
 -.55 G -.4(nv)-3.564 G 1.064(ironment do not remain in).4 F(ef)144 108 Q
 (fect after the command completes.)-.25 E(The return status is the e)5 E
 (xit status of)-.15 E F1(list)2.5 E F0(.)A({)108 124.8 Q F1(list)2.5 E
-F0 2.5(;})C F1(list)3.89 E F0 .401(is simply e)2.901 F -.15(xe)-.15 G
+F0 2.5(;})C F1(list)3.89 E F0 .402(is simply e)2.902 F -.15(xe)-.15 G
 .401(cuted in the current shell en).15 F(vironment.)-.4 E F1(list)5.401
-E F0 .402(must be terminated with a ne)2.901 F .402(wline or)-.25 F
-3.215(semicolon. This)144 136.8 R .715(is kno)3.215 F .715(wn as a)-.25
+E F0 .401(must be terminated with a ne)2.901 F .401(wline or)-.25 F
+3.214(semicolon. This)144 136.8 R .714(is kno)3.214 F .714(wn as a)-.25
 F F1(gr)3.215 E .715(oup command)-.45 F F0 5.715(.T)C .715
-(he return status is the e)-5.715 F .714(xit status of)-.15 F F1(list)
-3.214 E F0 5.714(.N)C(ote)-5.714 E .219(that unlik)144 148.8 R 2.719(et)
--.1 G .219(he metacharacters)-2.719 F/F3 10/Times-Bold@0 SF(\()2.719 E
-F0(and)2.719 E F3(\))2.719 E F0(,)A F3({)2.719 E F0(and)2.719 E F3(})
-2.719 E F0(are)2.719 E F1 -.37(re)2.72 G .22(served wor).37 F(ds)-.37 E
-F0 .22(and must occur where a reserv)2.72 F(ed)-.15 E -.1(wo)144 160.8 S
-.257(rd is permitted to be recognized.).1 F .257(Since the)5.257 F 2.757
-(yd)-.15 G 2.756(on)-2.757 G .256(ot cause a w)-2.756 F .256
-(ord break, the)-.1 F 2.756(ym)-.15 G .256(ust be separated)-2.756 F
+(he return status is the e)-5.715 F .715(xit status of)-.15 F F1(list)
+3.215 E F0 5.715(.N)C(ote)-5.715 E .22(that unlik)144 148.8 R 2.72(et)
+-.1 G .22(he metacharacters)-2.72 F/F3 10/Times-Bold@0 SF(\()2.72 E F0
+(and)2.72 E F3(\))2.72 E F0(,)A F3({)2.72 E F0(and)2.72 E F3(})2.719 E
+F0(are)2.719 E F1 -.37(re)2.719 G .219(served wor).37 F(ds)-.37 E F0
+.219(and must occur where a reserv)2.719 F(ed)-.15 E -.1(wo)144 160.8 S
+.256(rd is permitted to be recognized.).1 F .256(Since the)5.256 F 2.756
+(yd)-.15 G 2.756(on)-2.756 G .257(ot cause a w)-2.756 F .257
+(ord break, the)-.1 F 2.757(ym)-.15 G .257(ust be separated)-2.757 F
 (from)144 172.8 Q F1(list)2.5 E F0
 (by whitespace or another shell metacharacter)2.5 E(.)-.55 E(\(\()108
 189.6 Q F1 -.2(ex)C(pr).2 E(ession)-.37 E F0(\)\))A(The)144 201.6 Q F1
--.2(ex)2.551 G(pr).2 E(ession)-.37 E F0 .051(is e)2.551 F -.25(va)-.25 G
-.051(luated according to the rules described belo).25 F 2.552(wu)-.25 G
-(nder)-2.552 E F2 .052(ARITHMETIC EV)2.552 F(ALU)-1.215 E(A-)-.54 E
-(TION)144 213.6 Q/F4 9/Times-Roman@0 SF(.)A F0 .411(If the v)4.911 F
-.411(alue of the e)-.25 F .411(xpression is non-zero, the return status\
- is 0; otherwise the return status)-.15 F(is 1.)144 225.6 Q(This is e)5
-E(xactly equi)-.15 E -.25(va)-.25 G(lent to).25 E F3(let ")2.5 E F1 -.2
+-.2(ex)2.552 G(pr).2 E(ession)-.37 E F0 .052(is e)2.552 F -.25(va)-.25 G
+.051(luated according to the rules described belo).25 F 2.551(wu)-.25 G
+(nder)-2.551 E F2 .051(ARITHMETIC EV)2.551 F(ALU)-1.215 E(A-)-.54 E
+(TION)144 213.6 Q/F4 9/Times-Roman@0 SF(.)A F0 .411(If the v)4.91 F .411
+(alue of the e)-.25 F .411(xpression is non-zero, the return status is \
+0; otherwise the return status)-.15 F(is 1.)144 225.6 Q(This is e)5 E
+(xactly equi)-.15 E -.25(va)-.25 G(lent to).25 E F3(let ")2.5 E F1 -.2
 (ex)C(pr).2 E(ession)-.37 E F3(")A F0(.)A F3([[)108 242.4 Q F1 -.2(ex)
-2.5 G(pr).2 E(ession)-.37 E F3(]])2.5 E F0 1.299
+2.5 G(pr).2 E(ession)-.37 E F3(]])2.5 E F0 1.3
 (Return a status of 0 or 1 depending on the e)144 254.4 R -.25(va)-.25 G
-1.3(luation of the conditional e).25 F(xpression)-.15 E F1 -.2(ex)3.8 G
-(pr).2 E(ession)-.37 E F0(.)A 2.274
+1.299(luation of the conditional e).25 F(xpression)-.15 E F1 -.2(ex)
+3.799 G(pr).2 E(ession)-.37 E F0(.)A 2.273
 (Expressions are composed of the primaries described belo)144 266.4 R
-4.773(wu)-.25 G(nder)-4.773 E F2(CONDITION)4.773 E 2.273(AL EXPRES-)-.18
-F(SIONS)144 278.4 Q F4(.)A F0 -.8(Wo)5.632 G 1.133
+4.774(wu)-.25 G(nder)-4.774 E F2(CONDITION)4.774 E 2.274(AL EXPRES-)-.18
+F(SIONS)144 278.4 Q F4(.)A F0 -.8(Wo)5.633 G 1.133
 (rd splitting and pathname e).8 F 1.133
 (xpansion are not performed on the w)-.15 F 1.133(ords between the)-.1 F
-F3([[)3.633 E F0(and)144 290.4 Q F3(]])2.964 E F0 2.964(;t)C .464
-(ilde e)-2.964 F .464(xpansion, parameter and v)-.15 F .464(ariable e)
--.25 F .463(xpansion, arithmetic e)-.15 F .463
+F3([[)3.632 E F0(and)144 290.4 Q F3(]])2.963 E F0 2.963(;t)C .463
+(ilde e)-2.963 F .464(xpansion, parameter and v)-.15 F .464(ariable e)
+-.25 F .464(xpansion, arithmetic e)-.15 F .464
 (xpansion, command substi-)-.15 F 1.081
 (tution, process substitution, and quote remo)144 302.4 R -.25(va)-.15 G
 3.581(la).25 G 1.081(re performed.)-3.581 F 1.081
-(Conditional operators such as)6.081 F F3<ad66>3.581 E F0
+(Conditional operators such as)6.081 F F3<ad66>3.58 E F0
 (must be unquoted to be recognized as primaries.)144 314.4 Q
 (When used with)144 332.4 Q F3([[)2.5 E F0 2.5(,t)C(he)-2.5 E F3(<)2.5 E
 F0(and)2.5 E F3(>)2.5 E F0(operators sort le)2.5 E
-(xicographically using the current locale.)-.15 E .503(When the)144
-350.4 R F3(==)3.003 E F0(and)3.002 E F3(!=)3.002 E F0 .502(operators ar\
+(xicographically using the current locale.)-.15 E .502(When the)144
+350.4 R F3(==)3.002 E F0(and)3.002 E F3(!=)3.002 E F0 .502(operators ar\
 e used, the string to the right of the operator is considered a pat-)
 3.002 F .81(tern and matched according to the rules described belo)144
 362.4 R 3.31(wu)-.25 G(nder)-3.31 E F3 -.1(Pa)3.31 G(tter).1 E 3.31(nM)
 -.15 G(atching)-3.31 E F0 3.31(,a)C 3.31(si)-3.31 G 3.31(ft)-3.31 G(he)
 -3.31 E F3(ext-)3.31 E(glob)144 374.4 Q F0 1.007
-(shell option were enabled.)3.507 F(The)6.007 E F3(=)3.507 E F0 1.007
+(shell option were enabled.)3.506 F(The)6.007 E F3(=)3.507 E F0 1.007
 (operator is equi)3.507 F -.25(va)-.25 G 1.007(lent to).25 F F3(==)3.507
 E F0 6.007(.I)C 3.507(ft)-6.007 G 1.007(he shell option)-3.507 F F3
-(nocase-)3.506 E(match)144 386.4 Q F0 .198
+(nocase-)3.507 E(match)144 386.4 Q F0 .198
 (is enabled, the match is performed without re)2.698 F -.05(ga)-.15 G
-.198(rd to the case of alphabetic characters.).05 F(The)5.198 E 1.068
+.198(rd to the case of alphabetic characters.).05 F(The)5.198 E 1.067
 (return v)144 398.4 R 1.068(alue is 0 if the string matches \()-.25 F F3
 (==)A F0 3.568(\)o)C 3.568(rd)-3.568 G 1.068(oes not match \()-3.568 F
-F3(!=)A F0 3.568(\)t)C 1.067(he pattern, and 1 otherwise.)-3.568 F(An)
+F3(!=)A F0 3.568(\)t)C 1.068(he pattern, and 1 otherwise.)-3.568 F(An)
 144 410.4 Q 2.5(yp)-.15 G(art of the pattern may be quoted to force the\
  quoted portion to be matched as a string.)-2.5 E .243
 (An additional binary operator)144 428.4 R(,)-.4 E F3(=~)2.743 E F0
@@ -777,44 +780,44 @@ F3(!=)A F0 3.568(\)t)C 1.067(he pattern, and 1 otherwise.)-3.568 F(An)
 (ilable, with the same precedence as).25 F F3(==)2.743 E F0(and)2.743 E
 F3(!=)2.743 E F0 5.243(.W)C .243(hen it is)-5.243 F 1.953
 (used, the string to the right of the operator is considered an e)144
-440.4 R 1.953(xtended re)-.15 F 1.953(gular e)-.15 F 1.953
+440.4 R 1.954(xtended re)-.15 F 1.954(gular e)-.15 F 1.954
 (xpression and)-.15 F .207(matched accordingly \(as in)144 452.4 R F1
 -.37(re)2.707 G -.1(ge)-.03 G(x)-.1 E F0 2.707(\(3\)\). The)B .207
 (return v)2.707 F .207
-(alue is 0 if the string matches the pattern, and 1)-.25 F 3.346
-(otherwise. If)144 464.4 R .846(the re)3.346 F .846(gular e)-.15 F .845
+(alue is 0 if the string matches the pattern, and 1)-.25 F 3.345
+(otherwise. If)144 464.4 R .845(the re)3.345 F .845(gular e)-.15 F .846
 (xpression is syntactically incorrect, the conditional e)-.15 F
-(xpression')-.15 E 3.345(sr)-.55 G(eturn)-3.345 E -.25(va)144 476.4 S
-.666(lue is 2.).25 F .667(If the shell option)5.667 F F3(nocasematch)
+(xpression')-.15 E 3.346(sr)-.55 G(eturn)-3.346 E -.25(va)144 476.4 S
+.667(lue is 2.).25 F .667(If the shell option)5.667 F F3(nocasematch)
 3.167 E F0 .667(is enabled, the match is performed without re)3.167 F
--.05(ga)-.15 G .667(rd to).05 F .593(the case of alphabetic characters.)
-144 488.4 R(An)5.593 E 3.093(yp)-.15 G .592
-(art of the pattern may be quoted to force the quoted por)-3.093 F(-)-.2
+-.05(ga)-.15 G .666(rd to).05 F .592(the case of alphabetic characters.)
+144 488.4 R(An)5.592 E 3.092(yp)-.15 G .593
+(art of the pattern may be quoted to force the quoted por)-3.092 F(-)-.2
 E 1.016(tion to be matched as a string.)144 500.4 R(Brack)6.016 E 1.016
 (et e)-.1 F 1.016(xpressions in re)-.15 F 1.016(gular e)-.15 F 1.016
-(xpressions must be treated care-)-.15 F(fully)144 512.4 Q 4.436(,s)-.65
-G 1.936
-(ince normal quoting characters lose their meanings between brack)-4.436
-F 4.435(ets. If)-.1 F 1.935(the pattern is)4.435 F .264
-(stored in a shell v)144 524.4 R .264(ariable, quoting the v)-.25 F .264
-(ariable e)-.25 F .265
-(xpansion forces the entire pattern to be matched as)-.15 F 3.774(as)144
-536.4 S 3.774(tring. Substrings)-3.774 F 1.274
-(matched by parenthesized sube)3.774 F 1.273(xpressions within the re)
--.15 F 1.273(gular e)-.15 F 1.273(xpression are)-.15 F(sa)144 548.4 Q
--.15(ve)-.2 G 3.096(di).15 G 3.097(nt)-3.096 G .597(he array v)-3.097 F
+(xpressions must be treated care-)-.15 F(fully)144 512.4 Q 4.435(,s)-.65
+G 1.935
+(ince normal quoting characters lose their meanings between brack)-4.435
+F 4.436(ets. If)-.1 F 1.936(the pattern is)4.436 F .265
+(stored in a shell v)144 524.4 R .265(ariable, quoting the v)-.25 F .264
+(ariable e)-.25 F .264
+(xpansion forces the entire pattern to be matched as)-.15 F 3.773(as)144
+536.4 S 3.773(tring. Substrings)-3.773 F 1.274
+(matched by parenthesized sube)3.773 F 1.274(xpressions within the re)
+-.15 F 1.274(gular e)-.15 F 1.274(xpression are)-.15 F(sa)144 548.4 Q
+-.15(ve)-.2 G 3.097(di).15 G 3.097(nt)-3.097 G .597(he array v)-3.097 F
 (ariable)-.25 E F2 -.27(BA)3.097 G(SH_REMA).27 E(TCH)-.855 E F4(.)A F0
 .597(The element of)5.097 F F2 -.27(BA)3.097 G(SH_REMA).27 E(TCH)-.855 E
-F0 .597(with inde)2.847 F 3.097(x0i)-.15 G(s)-3.097 E .049
+F0 .597(with inde)2.847 F 3.097(x0)-.15 G(is)-.001 E .049
 (the portion of the string matching the entire re)144 560.4 R .049
-(gular e)-.15 F 2.549(xpression. The)-.15 F .049(element of)2.549 F F2
--.27(BA)2.549 G(SH_REMA).27 E(TCH)-.855 E F0(with inde)144 572.4 Q(x)
--.15 E F1(n)2.5 E F0(is the portion of the string matching the)2.5 E F1
-(n)2.5 E F0(th parenthesized sube)A(xpression.)-.15 E .785
-(Expressions may be combined using the follo)144 590.4 R .786
+(gular e)-.15 F 2.549(xpression. The)-.15 F .05(element of)2.55 F F2
+-.27(BA)2.55 G(SH_REMA).27 E(TCH)-.855 E F0(with inde)144 572.4 Q(x)-.15
+E F1(n)2.5 E F0(is the portion of the string matching the)2.5 E F1(n)2.5
+E F0(th parenthesized sube)A(xpression.)-.15 E .786
+(Expressions may be combined using the follo)144 590.4 R .785
 (wing operators, listed in decreasing order of prece-)-.25 F(dence:)144
 602.4 Q F3(\()144 620.4 Q F1 -.2(ex)2.5 G(pr).2 E(ession)-.37 E F3(\))
-2.5 E F0 .523(Returns the v)180 632.4 R .522(alue of)-.25 F F1 -.2(ex)
+2.5 E F0 .522(Returns the v)180 632.4 R .522(alue of)-.25 F F1 -.2(ex)
 3.022 G(pr).2 E(ession)-.37 E F0 5.522(.T)C .522(his may be used to o)
 -5.522 F -.15(ve)-.15 G .522(rride the normal precedence of).15 F
 (operators.)180 644.4 Q F3(!)144 656.4 Q F1 -.2(ex)2.5 G(pr).2 E(ession)
